Skip to content

List VPCs Attached to a Group

GET
/api/v1/scaler/scalegroups/{scaler_id}/vpc/action/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/{scaler_id}/vpc/action/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the VPC networks currently attached to an auto scaling group - each VPC’s network_id, name, and ipv4_cidr.

scaler_id
required
integer

The id of the auto scaling group, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the group.

Example

<LOCATION>

Successful response

Media typeapplication/json

VPCs attached to the group.

object
code
integer
data
Array<object>
object
network_id
integer
name
string
ipv4_cidr
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"network_id": 12345,
"name": "VPC-Example",
"ipv4_cidr": "10.8.46.0/23"
}
],
"message": "Success"
}